
####################################################################
## Change Log                                                     ##
####################################################################

#####################################
# P values updated since 1.0.19.11 ##
#####################################

# DHCP domain name
# String
# Maximum Length: 32
# P147=

#DNS use Configured IP
# Primary IP
# String
# Maximum Length: 15
# P2308= (FXS 1)

# Backup IP1
# String
# Maximum Length: 15
# P2309= (FXS 1)

# Backup IP2
# String
# Maximum Length: 15
# P2310= (FXS 1)

# Primary IP
# String
# Maximum Length: 15
# P2408= (FXS 2)

# Backup IP1
# String
# Maximum Length: 15
# P2409= (FXS 2)

# Backup IP2
# String
# Maximum Length: 15
# P2410= (FXS 2)

# Play Busy Tone When Account is unregistered. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28181 = 0 

#####################################
# P values updated since 1.0.19.8  ##
#####################################

#Increased “SIP TLS Certificate” and “SIP TLS Private Key” supported maximum length from 2048 to 4096.

# SIP TLS Certificate
# String
# Maximum Length: 4096
# P280=

# SIP TLS Private Key
# String
# Maximum Length: 4096
# P279=

#####################################
# P values updated since 1.0.19.1  ##
#####################################

# Disable User Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28158 = 0 

# Disable Viewer Level Web Access. 0 - No, 1 - Yes
# Number: 0, 1  
# Mandatory
# P28159 = 0 

# Use P-Asserted-Identity Header. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P29098 = 0 (FXS 1)
# P29198 = 0 (FXS 2)

# Load CA Certificates. 0 - Built-in trusted certificates, 1 - Custom trusted certificate, 2 - All trusted certificates
# Number: 0, 1  
# Mandatory
# P8502 = 0 

# Connection Request Port. Default is 7547
# Number: 0 - 65535
# Mandatory
# P4518 = 7547

# DNS Cache Refresh Time. 1 - 1440 minutes, defualt is 30 minutes. Configurable from cfg file only, need to reboot to take effect. 
# Number: 1 - 1440
# Mandatory
# P4208 = 30

# DNS Cache Duration. 1 - 1440 minutes, defualt is 0 - Disabled. Configurable from cfg file only, need to reboot to take effect. 
# Number: 0 - 1440
# Mandatory
# P28160 = 0

# Web Access Privilege Pattern. 1 - Telefonica Spain, 0 - Default. Defualt is 0. Configurable from cfg file or SSH. If set to 1, User Level can only see the Status page. Under the Status page, CDR/SIP log and GR909 page will not shown. 
# Number: 0, 1
# Mandatory
# P28152 = 0

# Added “Disable” option for “Web Access Mode”
# Web Access Mode. 0 - HTTPS, 1 - HTTP, 2 - Disabled.
# Number: 0, 1, 2
# Mandatory
# P1650 = 1 

# Added “New Zealand Standard” option for “Pulse Dialing Standard”
# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard, 2 - New Zealand Standard 
# Number: 0, 1, 2
# Mandatory 
# P28165=0 (FXS1)
# P28166=0 (FXS2)

# Added "Russian" option for "Language"
# Language. 0 - English, 4 - Chinese, 7 - Traditional Chinese, 6 - Russian, 10 - Spanish
# Number: 0, 4, 7, 6, 10
# Mandatory
# P342=0

# Increased Ring Timeout (P185, P816) range to 0-300, 0 means no timeout

# Moved “Trusted CA certificates” from FXS1/FXS2 to Advanced Settings and renamed as Trusted CA Certificates A (P2386) and Trusted CA Certificates B (P2486).


#####################################
# P values updated since 1.0.17.5  ##
#####################################

# Added Value 132 = Oi_BR for Special Feature (P767, P198)

#####################################
# P values updated since 1.0.15.4  ##
#####################################

# Minimum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
# P22293 = 99

# Maximum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2
# Number: 99, 10, 11, 12
# Mandatory
# P22294 = 99

#####################################
# P values updated since 1.0.13.7  ##
#####################################

# Update Automatic Upgrade Pvalue from P194 to P22296

# Syslog Protocol. 0 – UDP, 1 – SSL/TLS. 
# Number: 0, 1  
# Mandatory
# P8402 = 0 

# Distinctive Call Waiting Tone. Call Waiting Tone Choice 1 to Choice 3
# Number: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
# 0 - Call Waiting Tone 1, 1- Call Waiting Tone 2, 2 - Call Waiting Tone 3, 3 - Call Waiting Tone 4, 4  - Call Waiting Tone 5, 5  - Call Waiting Tone 6, 6  - Call Waiting Tone 7, 8  - Call Waiting Tone 9, 9  - Call Waiting Tone 10     
# Mandatory
# 29074 = 0 (Profile 1)
# 29075 = 0 (Profile 1)
# 29076 = 0 (Profile 1)
# 29174 = 0 (Profile 2)
# 29175 = 0 (Profile 2)
# 29176 = 0 (Profile 2)

# Used if incoming caller ID is. The caller ID to match the call waiting tone. 
# String Max Length: 64
# 29077 =  (Profile 1)
# 29078 =  (Profile 1)
# 29079 =  (Profile 1)
# 29177 =  (Profile2)
# 29178 =  (Profile2)
# 29179 =  (Profile2)

# Call Waiting Tone. Call Waiting Tone 1-10
# String Max Length: 64
# Mandatory
# 29080 = f1=440@-13,c=300/10000; (Profile 1)
# 29081 = f1=440@-13,c=300/10000; (Profile 1)
# 29082 = f1=440@-13,c=300/10000; (Profile 1)
# 29083 = f1=440@-13,c=300/10000; (Profile 1)
# 29084 = f1=440@-13,c=300/10000; (Profile 1)
# 29085 = f1=440@-13,c=300/10000; (Profile 1)
# 29086 = f1=440@-13,c=300/10000; (Profile 1)
# 29087 = f1=440@-13,c=300/10000; (Profile 1)
# 29088 = f1=440@-13,c=300/10000; (Profile 1)
# 29089 = f1=440@-13,c=300/10000; (Profile 1)
# 29180 = f1=440@-13,c=300/10000; (Profile 2)
# 29181 = f1=440@-13,c=300/10000; (Profile 2)
# 29182 = f1=440@-13,c=300/10000; (Profile 2)
# 29183 = f1=440@-13,c=300/10000; (Profile 2)
# 29184 = f1=440@-13,c=300/10000; (Profile 2)
# 29185 = f1=440@-13,c=300/10000; (Profile 2)
# 29186 = f1=440@-13,c=300/10000; (Profile 2)
# 29187 = f1=440@-13,c=300/10000; (Profile 2)
# 29188 = f1=440@-13,c=300/10000; (Profile 2)
# 29189 = f1=440@-13,c=300/10000; (Profile 2)

# Disable Weak TLS Cipher Suites. 
# 0 – Enable Weak TLS Ciphers Suites, 1 – Disable Symmetric Encryption RC4/DES/3DES, 2 - Disable Symmetric Encryption SEED, 3 - Disable All Of The Above Weak Symmetric Encryption, 4 - Disable Symmetric Authentication MD5, 5 - Disable All Of The Above Weak Symmetric Authentication, 6 - Disable Protocol Version SSLv2/SSLv3, 7 - Disable All Of The Above Weak Protocol Version, 8 - Disable All Of The Above Weak TLS Ciphers Suites
# Number: 0-8 
# Mandatory
# P8536 = 0 


###################################
# P values added since 1.0.13.5  ##
###################################

# Reset Call Features. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24199 = 0 (fxs 1)
# P24399 = 0 (fxs 2)

###################################
# P values added since 1.0.11.6  ##
###################################

# SRTP Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24060 = 1 (fxs 1)
# P24260 = 1 (fxs 2)

# Enable SRTP. 
# Number
# Mandatory
# P24001 = 16 (fxs 1)
# P24201 = 16 (fxs 2)

# Disable SRTP.
# Number
# Mandatory
# P24002 = 17 (fxs 1)
# P24202 = 17 (fxs 2)

# SRTP per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24061 = 1 (fxs 1)
# P24261 = 1 (fxs 2)

# Enable SRTP per call. 
# Number
# Mandatory
# P24003 = 18 (fxs 1)
# P24203 = 18 (fxs 2)

# Disable SRTP per call.
# Number
# Mandatory
# P24004 = 19 (fxs 1)
# P24204 = 19 (fxs 2)

# CID Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24062 = 1 (fxs 1)
# P24262 = 1 (fxs 2)

# Enable CID. 
# Number
# Mandatory
# P24006 = 31 (fxs 1)
# P24206 = 31 (fxs 2)

# Disable CID.
# Number
# Mandatory
# P24005 = 30 (fxs 1)
# P24205 = 30 (fxs 2)

# CID per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24065 = 1 (fxs 1)
# P24265 = 1 (fxs 2)

# Enable CID per call. 
# Number
# Mandatory
# P24019 = 82 (fxs 1)
# P24219 = 82 (fxs 2)

# Disable CID per call.
# Number
# Mandatory
# P24010 = 67 (fxs 1)
# P24210 = 67 (fxs 2)

# Direct IP Calling Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24063 = 1 (fxs 1)
# P24263 = 1 (fxs 2)

# Direct IP Calling. 
# Number
# Mandatory
# P24007 = 47 (fxs 1)
# P24207 = 47 (fxs 2)

# CW Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24064 = 1 (fxs 1)
# P24264 = 1 (fxs 2)

# Enable CW. 
# Number
# Mandatory
# P24009 = 51 (fxs 1)
# P24209 = 51 (fxs 2)

# Disable CW.
# Number
# Mandatory
# P24008 = 50 (fxs 1)
# P24208 = 50 (fxs 2)

# CW per call Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24067 = 1 (fxs 1)
# P24267 = 1 (fxs 2)

# Enable CW per call. 
# Number
# Mandatory
# P24013 = 71 (fxs 1)
# P24213 = 71 (fxs 2)

# Disable CW per call.
# Number
# Mandatory
# P24012 = 70 (fxs 1)
# P24212 = 70 (fxs 2)

# Call Return Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24066 = 1 (fxs 1)
# P24266 = 1 (fxs 2)

# Call Return. 
# Number
# Mandatory
# P24011 = 69 (fxs 1)
# P24211 = 69 (fxs 2)

# Unconditional Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24068 = 1 (fxs 1)
# P24268 = 1 (fxs 2)

# Enable Unconditional Forward. 
# Number
# Mandatory
# P24014 = 72 (fxs 1)
# P24214 = 72 (fxs 2)

# Disable Unconditional Forward.
# Number
# Mandatory
# P24015 = 73 (fxs 1)
# P24215 = 73 (fxs 2)

# Busy Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24072 = 1 (fxs 1)
# P24272 = 1 (fxs 2)

# Enable Busy Forward. 
# Number
# Mandatory
# P24021 = 90 (fxs 1)
# P24221 = 90 (fxs 2)

# Disable Busy Forward.
# Number
# Mandatory
# P24022 = 91 (fxs 1)
# P24222 = 91 (fxs 2)

# Delayed Forward Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24073 = 1 (fxs 1)
# P24273 = 1 (fxs 2)

# Enable Delayed Forward. 
# Number
# Mandatory
# P24023 = 92 (fxs 1)
# P24223 = 92 (fxs 2)

# Disable Delayed Forward.
# Number
# Mandatory
# P24024 = 93 (fxs 1)
# P24224 = 93 (fxs 2)

# Paging Feature. 0 - No, 1 - Yes
# Number
# Mandatory
# P24069 = 1 (fxs1)
# P24269 = 1 (fxs2)

# Paging
# Number
# Mandatory
# P24016 = 74 (fxs1)
# P24216 = 74 (fxs2)

# DND Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24070 = 1 (fxs 1)
# P24270 = 1 (fxs 2)

# Enable DND. 
# Number
# Mandatory
# P24017 = 78 (fxs 1)
# P24217 = 78 (fxs 2)

# Disable DND.
# Number
# Mandatory
# P24018 = 79 (fxs 1)
# P24218 = 79 (fxs 2)

# Blind Transfer Feature. 0 – No, 1 – Yes. 
# Number: 0, 1  
# Mandatory
# P24071 = 1 (fxs 1)
# P24271 = 1 (fxs 2)

# Enable Blind Transfer. 
# Number
# Mandatory
# P24020 = 87 (fxs 1)
# P24220 = 87 (fxs 2)

# Disable LEC per call Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24074 = 1 (fxs 1)
# P24274 = 1 (fxs 2)

# Disable LEC per call.
# Number
# Mandatory
# P24025 = 03 (fxs 1)
# P24225 = 03 (fxs 2)

# Star Code 3WC Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24075 = 1 (fxs 1)
# P24275 = 1 (fxs 2)

# Star Code 3WC.
# Number
# Mandatory
# P24026 = 23 (fxs 1)
# P24226 = 23 (fxs 2)

# Forced Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24059 = 1 (fxs 1)
# P24259 = 1 (fxs 2)

# Forced Codec.
# Number
# Mandatory
# P24000 = 02 (fxs 1)
# P24200 = 02 (fxs 2)

# PCMU Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24076 = 1 (fxs 1)
# P24276 = 1 (fxs 2)

# PCMU Codec.
# Number
# Mandatory
# P24027 = 7110 (fxs 1)
# P24227 = 7110 (fxs 2)

# PCMA Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24077 = 1 (fxs 1)
# P24277 = 1 (fxs 2)

# PCMA Codec.
# Number
# Mandatory
# P24028 = 7111 (fxs 1)
# P24228 = 7111 (fxs 2)

# G723 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24078 = 1 (fxs 1)
# P24278 = 1 (fxs 2)

# G723 Codec.
# Number
# Mandatory
# P24029 = 723 (fxs 1)
# P24229 = 723 (fxs 2)

# G729 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24079 = 1 (fxs 1)
# P24279 = 1 (fxs 2)

# G729 Codec.
# Number
# Mandatory
# P24030 = 729 (fxs 1)
# P24230 = 729 (fxs 2)

# iLBC Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24084 = 1 (fxs 1)
# P24284 = 1 (fxs 2)

# iLBC Codec.
# Number
# Mandatory
# P24035 = 7201 (fxs 1)
# P24235 = 7201 (fxs 2)

# G722 Codec Feature. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P24085 = 1 (fxs 1)
# P24285 = 1 (fxs 2)

# G722 Codec.
# Number
# Mandatory
# P24036 = 722 (fxs 1)
# P24236 = 722 (fxs 2)

# SIP User-Agent.
# String
# P29071= (fxs 1)
# P29171= (fxs 2)

# Disable Reminder Ring for DND. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
# P29072=0 (fxs 1)
# P29172=0 (fxs 2)

# CDR File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
# P8534=0

# SIP File Option. 0 - Keep, 1 - Override
# Number: 0, 1
# Mandatory 
# P8535=0

# Disable Week TLS Cipher Suites 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory 
# P8536=0

# Pulse Dialing Standard. 0 - General Standard, 1 - Swedish Standard
# Number: 0, 1
# Mandatory 
# P28165=0 (fxs 1)
# P28166=0 (fxs 2)

# Callee Flash to 3WC. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P28169 = 0 (fxs 1)
# P28170 = 0 (fxs 2)

# RFC2833 Events Count.
# Number: 2-10
# Mandatory
# P28173 = 8 (fxs 1)
# P28174 = 8 (fxs 2)

# RFC2833 End Events Count.
# Number: 2-10
# Mandatory
# P28177 = 3 (fxs 1)
# P28178 = 3 (fxs 2)

# Replace Begining '+' with 00 in Caller ID. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P29073 = 0 (fxs 1)
# P29173 = 0 (fxs 2)

# Disable Unknown Caller ID. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28153 = 0 (fxs 1)
# P28154 = 0 (fxs 2)

# Disable # as Redial Key. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28147 = 0 (fxs 1)
# P28148 = 0 (fxs 2)

###################################
# P values added since 1.0.10.6  ##
###################################

# Virtual Network Interface.
# Network Setting For Management Interface
#
# Enable Management Interface. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P28161 = 0

# Management Access. 0- Management Interface Only, 1 - Both Services and Management Interfaces
# Number： 0， 1
# Mandatory
# P28162 = 0

# Voice VLAN Type. 0 - dynamically assigned via DHCP, 1 - statically configured as
# Number: 0, 1
# Mandatory = 0
# P22105 = 0

# Static IP Settings
#
# IP Address.
# ipaddress
# P22106 = 192.168.100.100

# Subnet Mask. 
# ipaddress
# P22107 = 255.255.255.0

# Default Router.
# ipaddress
# P22108 = 192.168.100.1

# DNS Server 1
# ipaddress
# P22109 = 0.0.0.0

# DNS Server 2
# ipaddress
# P22110 = 0.0.0.0

# Management Interface IPv4 Address:802.1Q/VLAN Tag
# Number: 0-4094
# P22111 = 0

# Management Interface IPv4 Address: 802.1p priority value
# Number: 0-7
# P22112 = 0

# Idle Call Setup Action 1. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28000 = 0 (FXS1)
# P28001 = 0 (FXS2)

# Duration of Idle Call Setup Action 1. Default is 60 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28004 = 60 (FXS1)
# P28005 = 60 (FXS2)

# Idle Call Setup Action 2. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28016 = 2 (FXS1)
# P28017 = 2 (FXS2)

# Duration of Idle Call Setup Action 2. Default is 30 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28020 = 30 (FXS1)
# P28021 = 30 (FXS2)

# Idle Call Setup Action 3. 0 - Continue, 1 - Busy Tone, 2 - Howler Tone, 3 - CPC (disconnect), 4 - Reorder Tone, 5 - Silence, 6 - Stop Sequence.
# Number: 0, 1, 2, 3, 4, 5, 6
# Mandatory
# P28032 = 6 (FXS1)
# P28033 = 6 (FXS2)

# Duration of Idle Call Setup Action 3. Default is 1 seconds.
# Number:  1 - 3600. In seconds.
# Mandatory
# P28036 = 1 (FXS1)
# P28037 = 1 (FXS2)

# SSH Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
# P28163 = 0

# Telnet Idle Timeout. Default is 0.
# Number: 0 - 86400. In seconds.
# Mandatory
# P28164 = 0

# Use ARP to detect network connectivity. 0 - NO, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P8512 = 1

###################################
# P values added since 1.0.9.3   ##
###################################

# Inband DTMF Duration. duration and inter-duration
# Number: 40 - 200 milliseconds
# Mandatory
# P28134 = 100 (FXS1)
# P28135 = 100 (FXS2, ht802 only)
# P28138 = 50 (FXS1)
# P28139 = 50 (FXS2, ht802 only)

# RFC2543 Hold. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26062 = 1 (FXS1)
# P26162 = 1 (FXS2, ht802 only)

# Visual MWI Type. 1 - FSK, 2 - NEON. Default is 1.
# Number: 1, 2
# Mandatory
# P4371 = 1 (FXS1)
# P4372 = 1 (FXS2, ht802 only)

# Ring Frequency. 20 - 20Hz default, 25 - 25Hz. Default is 20.
# Number: 20, 25
# Mandatory
# P4429 = 20 (FXS1)
# P4430 = 20 (FXS2, ht802 only)

# Allow SIP Factory Reset. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P26015 = 0 (FXS1)
# P26115 = 0 (FXS2, ht802 only)

###################################
# P values added since 1.0.8.7   ##
###################################

# Custom Certificate. (Private Key + Certificate)
# String
# P8472 = 

# Conference Party Hangup Tone
# String
# P28133 = f1=425@-15,c=600/600;

# Use P-Access-Network-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26058 = 1
# P26158 = 1

# Use P-Emergency-Info Header. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P26059 = 1
# P26159 = 1

###################################
# P values added since 1.0.5.11   ##
###################################

# Validate Server Certificates. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P8463 = 0

# Enable DDNS. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P28121 = 0

# DDNS Server. 0 - dyndns.org, 1 - freedns.afraid.org, 2 - zoneedit.com, 3 - no-ip.com, 4 - oray.net. 
# Number: 0, 1, 2, 3, 4
# Mandatory
# P28122 = 0

# DDNS Username
# String
# P28123 = 

# DDNS Password
# String
# P28124 = 

# DDNS Hostname
# String
# P28125 = 

# DDNS Hash
# String
# P28126 = 

# Blacklist For Incoming Calls. Allow users to block incoming calls from specific list of numbers.Max allowed SIP numbers: 10, separated by a comma (',') 
# String: 0-9, *, #, +, comma (','), a-z, A-Z
# P28127 =

# Disable Telnet. 0 - No, 1 - Yes. Default is 1.
# Number: 0, 1
# Mandatory
# P28120 = 1

# Telnet Port. Default Telnet port is 23. This should be different from SSH port. 
# String Max Length: 5
# Mandatory
# P28128 = 23

# Play busy/reorder tone before Loop Current Disconnect. 0 - No, 1 - Yes. Default is 0. 
# Number: 0, 1
# Mandatory
# P21925 = 0 (FXS1)
# P21926 = 0 (FXS2, ht802 only)

###################################
# P values added since 1.0.5.7   ##
###################################

# New Viewer Password. Default is viewer.
# Max Character Number: 30
# P28113 = 

# Web Session Timeout. In 1 to 60 minutes range. Default value is 10
# Number: 1 to 60
# Mandatory
# P28116 = 10

# Web Access Attempt Limit. Default value is 5
# Number: 1 to 10
# Mandatory
# P28117 = 5

# Web Lockout Duration. In 0 to 60 minutes range. Default value is 15
# Number: 0 to 60
# Mandatory
# P1683 = 15

# Black List for WAN Side Port
# Number: 0 to 65535
# P28115 = 

# Randomized Automatic Upgrade. 0 - No, 1 - Yes, default is 0.
# Number: 0, 1
# Mandatory
# P8458 = 0 

# Automatic Upgrade End Hour. In 0 to 23 hour range. Default is 22.
# Number: 0 to 23
# Mandatory
# P8459 = 22

# SNMP Version. 1 - Version 1, 2 - Version 2c, 3 - Version 3. Default value is 3.
# Nmuber: 1, 2, 3
# Mandatory
# P21904 = 3

# SNMP Port. Default is port 162
# Number: 162 or 1025 to 65535
# Mandatory
# P21903 = 162

# SNMPv1/v2c Community
# Max Character Number: 64
# P21902 =

# SNMPv3 User Name
# Max Character Number: 64
# P21905 = 

# SNMPv3 Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21910 = 0 

# SNMPv3 Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21906 = 0

# SNMP Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21907 = 0

# SNMPv3 Authentication Key. 
# P21908 =

# SNMPv3 Privacy Key
# P21909 =

# SNMPv3 Trap User Name
# Max Character Nmuber: 64
# P21911 = 

# SNMPv3 Trap Security Level. 0 - noAuthUser, 1 - authUser, 2 - privUser. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21916 = 0 

# SNMPv3 Trap Authentication Protocol. 0 - None, 1- MD5, 2- SHA. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21912 = 0

# SNMP Trap Privacy Protocol. 0 - None, 1 - DES, 2 - AES | AES128. Default value is 0.
# Number: 0, 1, 2
# Mandatory
# P21913 = 0

# SNMPv3 Trap Authentication Key. 
# P21914 =

# SNMPv3 Trap Privacy Key
# P21915 =

# Enable RAIUS Web Access Control. 0 - No, 1 - Yes. Default value is 0.
# Nmuber: 0, 1
# Mandatory
# P28107 = 0

# Action up Radius Auth Server Error. 0 - Reject Access, 1 - Authenticate Locally. Default value is 1.
# Number: 0, 1
# Mandatory
# P28114 = 1

# RADIUS Auth Server Address
# ipaddress
# P28108 = 

# RADIUS Auth Server Port
# Max Character Number = 64
# P28109 =

# RADIUS Shared Secret
# Max Character Number = 64
# P28110 =

# RADIUS VSA Vendor ID
# Max Character Number: 64
# P28111 = 

# RADIUS VSA Access Level Attribute
# Max Character Number: 64
# P28112 = 

#Automatic Reboot. 0 - No, 1 - Yes, reboot every day, 2 - Yes, reboot every week, 3 - Yes, reboot every month
#Number: 0,1,2,3
#Mandatory
# P21929=0

#Hour of the Day(0-23) Defines the hour of the day to reboot the device. Will valid after configured Automatic Reboot to yes.
#Number: 0-23
#Mandatory
# P21930=1

#Day of the Week (0-6) Defines the day of the week to reboot the device.
#Number: 0-6
#Mandatory
# P21931=1

#Day of the Month (0-30) Defines the day of the month to reboot the device.
#Number: 0-30
#Mandatory
# P28118=1

###################################
# P values added since 1.0.5.5   ##
###################################

# DHCP Option 17 Enterprise Number
# Max Character Number : 5
# Mandatory
# P8457 = 3561

# Caller ID Fetch Order. 0 - Auto, 1 - Disable, 2 - From Header. Defaut is 0.
# Number: 0, 1, 2
# Mandatory
# P2324 = 0 (FXS1)
# P2424 = 0 (FXS2, ht802 only)

# Enable High Ring Power. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P4234 = 0 (FXS1)
# P4235 = 0 (FXS2, ht802 only) 

# Enable Pulse Dialing. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P20521 = 0 (FXS1)
# P20522 = 0 (FXS2, ht802 only) 

###################################
# P values added since 1.0.3.7   ##
###################################

# Internet Protocol. 0 - Both, prefer IPv4, 1 - Both, prefer IPv6, 2 - IPv4 Only, 3 - IPv6 Only. Default is IPv4 Only
# Number: 0, 1, 2, 3
# Mandatory
#P1415 = 2

# IPv6 Address type. 0 - dynamically assigned via DHCP, 1 - statically Configured. Default is 0.
# Number: 0, 1
# Mandatory
#P1419 = 0

# IPv6 Address type: Statically configured. 0 - Full Static, 1 - Prefix Static
# Number: 0, 1
# Mandatory
#P1426 = 0

# Full Static: Static IPv6 Address
# P1420 =

# Full Static: IPv6 Prefix Length
# P1421 =

# Prefix Static: IPv6 Prefix(64bits)
# Max Character Number : 40
# P1422 = 

# DNS Server 1 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1424 =

# DNS Server 2 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1425 =

# Preferred DNS Server for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
# P1423 =


###################################
# P values added since 1.0.3.2   ##
###################################

# Use Actual Ephemeral Port in Contact with TCP/TLS. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
#P2331=0    (FXS1)
#P2431=0    (FXS2, ht802 only)

# SIP URI Scheme When Using TLS. 0 - sip, 1 - sips. Default is 1
# Number: 0, 1
# Mandatory
#P2329=1 (FXS1)
#P2429=1 (FXS2, ht802 only)

# Backup Outbound Proxy
# Server address
#P2333 = (FXS1)
#P2433 = (FXS2, ht802 only)

# Prefer Primary Outbound Proxy. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
#P28096 = 0 (FXS1)
#P28097 = 0 (FXS2, ht802 only)

# Enable RTCP. Configure if enables RTCP statistics and control information. 0 - No, 1 - Yes, default is Yes
# Number: 0, 1
# Mandatory
#P2392 = 1 (FXS1)
#P2492 = 1 (FXS2, ht802 only)

# Enable Session Timer.  0 - No, 1 - Yes. Default is Yes
# Number: 0, 1
# Mandatory
#P2395 = 1 (FXS1)
#P2495 = 1 (FXS2, ht802 only)

# Conference URI 
# String Max Length: 1024
#P2318 =     (FXS1)
#P2418 =     (FXS2, ht802 only)

# White List for WAN Side. Only the IP address in white list can access Web and SSH.
# String ipaddress
#P20701 =

# Black List for WAN Side. The IP address in black list can not access Web or SSH.
# String ipaddress
#P20702 = 

# Web Access Mode. 0 - HTTPS, 1 - HTTP.
# Number: 0, 1
# Mandatory
#P1650 = 1

# HTTPS Web Port. Defaut HTTPS port is 443
# String Max Length: 5
# Mandatory
#P27010 = 443

# SSH Port. Default SSH port is 22.
# String Max Length: 5
# Mandatory
#P27006 = 22

# Enable SNMP. 0 - No, 1 - Yes. Default is No
# Number: 0, 1
# Mandatory
#P21896 = 0

# SNMP Trap IP Address
# String Max Length: 64
#P21897 = 

# SNMP Trap Port.  Default value is 162.
# String Max Length: 5
# Mandatory
#P21898 = 162

# SNMP Trap Interval. Default is 5.
# String Max Length: 4
# Mandatory
#P21901 = 5

# SNMP Trap Community
# String Max Length: 64
#P21900 = 

# SNMP Trap Version. 1 - Version 1, 2 - Version 2c, default is Version 2c.
# Number: 1, 2
#P21899 = 2


#############################################
## Initial Version Firmware HT801 1.0.3.2  ## 
#############################################
##Change this document name from HT802_config to HT80x_config.


###################################
# P values added since 1.0.2.7   ##       
###################################

# DNS SRV use Registered IP. When enabled, outbound call when registered to Second SRV will use registered IP first instead of first SRV record. 0 - No, 1 - Yes, default is 0 - No.
# Number: 0, 1
# Mandatory
#P28092=0	(FXS1)
#P28093=0	(FXS2, ht802 only)

###################################
# P values added since 1.0.2.5   ##       
###################################
None

###################################
# P values added since 1.0.2.3   ##       
###################################

# Disable Connected Line ID. 0=Disabled, 1=Enabled. (If yes, Connected Line ID will not be displayed even received.)
# Number: 0, 1
# Mandatory
#P20525=0	(FXS1)
#P20526=0	(FXS2, ht802 only)

###################################
# P value changes since 1.0.1.9   #
###################################

# Enable TR-069. 0 - No, 1 - Yes (default is Yes)
# Number: 0, 1
# Mandatory
#P1409=1

# Preferred Vocoder
# Choice 7. 
# Number: 0, 2, 4, 8, 18, 98, 123
# Mandatory
#P46=125  (FXS1)
#P814=125 (FXS2, ht802 only)

####################################################################
## Change Log End                                                 ##
####################################################################
